.allTile {
	position: relative;
	background: #FFFFFF;
	overflow: hidden;
}

.allTile__part {
	position: absolute;
	left: var(--x);
	top: var(--y);
	width: var(--w);
	overflow: hidden;
}

.allTile__part::before {
	content: "";
	display: block;
	padding-top: calc(100% / var(--ar));
}

.allTile__part img {
	position: absolute;
	max-width: none;
	display: block;
}
